/*=============================================================================

 FILE:    string.m

 =============================================================================*/

/*============================================================================
 IMPORT
 =============================================================================*/
#import "string.h"
#import <Foundation/Foundation.h>
/*=============================================================================
 FUNCTION DEFINITION
 =============================================================================*/
/*----------------------------------------------------------------------------
 function:    strSwap
 -----------------------------------------------------------------------------*/
NSString *strSwap(NSString *s) {
  /* swap string */
  NSMutableString *tmp = [NSMutableString string];
  for (int i = StrLen(s)-1; 0 <= i; i--){
    NSRange r = {i,1};
    [tmp appendFormat:@"%@",[s substringWithRange:r]];
  }
  
  return [NSString stringWithString:tmp];
} /* strSwap */